.window {
    display: block;
    position: relative;
    width: 150px;
    height: 150px;
    background-color: red;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    opacity: 1;
    transform: rotate(0deg);
    top: 0;
    transition: opacity 1s ease, transform .5s ease, top 1s linear, background-color 1s linear;
  }
  
  .window.hidden {
    opacity: 0;
    background-color: blue;
  }
  
  .window.big {
    transform: scaleX(2);
    transform: scaleY(.25);
  }
  
  .window.rotated {
    transform: rotateY(45deg);
  }
  
  .window.moved {
    transform: translate(100px, 50px);
  }
  
  /* ANIMATION */
  
  .animatedBox {
    display: block;
    height: 5rem;
    width: 5rem;
    background-color: blue;  
  }
  
  .animatedBox {  
    /*animation: skew 1.5s alternate infinite;*/
    animation-name: bounce;
    animation-duration: 2s; 
    animation-delay: 0s;
    animation-direction: alternate;
    animation-iteration-count: 3;
    animation-fill-mode: none;
    animation-play-state: paused;
  }
  
  .animatedBox.started {
    animation-play-state: running; 
  }
  
  @keyframes skew {
    to {
      transform: skewX(20deg);
    }
    from {
      transform: skewX(-20deg);
    }
  }
  
  @keyframes bounce {
      0%   { background-color: red; transform: translateY(0); animation-timing-function:ease-in;  }
      37%  { background-color: blue; transform: translateY(50px); animation-timing-function:ease-out; }
      55%  { background-color: orange; transform: translateY(30px); animation-timing-function:ease-in;  }
      73%  { background-color: pink; transform: translateY(50px); animation-timing-function:ease-out; }
      82%  { background-color: green; transform: translateY(40px); animation-timing-function:ease-in;  }
      91%  { background-color: gray; transform: translateY(50px); animation-timing-function:ease-out; }
      96%  { background-color: cyan; transform: translateY(47px); animation-timing-function:ease-in;  }
      100% { background-color: blue; transform: translateY(50px); }
  }